IF OBJECT_ID('[Skole].[DimKlassetype]','U') IS NOT NULL
BEGIN
IF NOT EXISTS (SELECT 'T' FROM [Skole].[DimKlassetype] WHERE [DimKlassetypeID] = -1 )
  INSERT INTO [Skole].[DimKlassetype]([DimKlassetypeID]) VALUES (-1)
UPDATE [Skole].[DimKlassetype] SET
   [KlassetypeKode] = -1
	,[KlassetypeTekst] = 'Ukendt'
	,[FagsystemKlassetypeTekst] = 'Ukendt'
	,[Produktionssystem] = 'Ukendt'
	,[SYS_KommuneId] = 999
   WHERE [DimKlassetypeID] = -1
END
GO
